WHAT(1) | General Commands Manual | WHAT(1)

# NAME

`what` —
search files for SCCS identifiers

# SYNOPSIS

`what` | [`-s`] file ...

# DESCRIPTION

The `what` utility reads each file operand and searches for sequences of the form “@(#)” as inserted by SCCS and SCCS-compatible version control systems. It prints the remainder of the string following this marker, up to a null character, newline, double quote, backslash, or “>” character.

If the `-s` option is specified, only the first occurrence of an identification string in each file is printed.

# EXIT STATUS

The `what` utility exits 0 if any matches were found, and 1 otherwise.

# STANDARDS

The `what` utility conforms to X/Open Portability Guide Issue 4, Version 2 (“XPG4.2”).

# HISTORY

The `what` command appeared in 4.0BSD.

# BUGS

As BSD is not licensed to distribute SCCS this is a rewrite of the `what` command which is part of SCCS, and may not behave exactly the same as that command does.

December 12, 2015 | NetBSD 9.2